
Foreman - Feature #147

Display class selection for hosts based on environments

01/05/2010 08:11 PM - Josh Baird

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.1-5   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When adding a new host, the list of classes that Foreman gives you should only be for the particular environment that you would like

to place this host in.  When two environments contain classes with the same names, you are unable to differentiate between the

classes/environments.

I think one way of doing this is to first ask the user to select the environment, and then based on the user's selection, display the list

of classes in that environment.  This function should also support a "common" modulepath for classes that are common to multiple

modules.  I define this in my puppet.conf like:

[fcdev]

manifest   = /etc/puppet/manifests/fcdev/manifests/site.pp

modulepath = /etc/puppet/manifests/fcdev/modules:/etc/puppet/manifests/common/modules

pluginsync = false

Related issues:

Related to Foreman - Feature #66: Add Logic to host edit page Closed 11/05/2009

Is duplicate of Foreman - Refactor #193: move hosts controller away from AS Closed 03/25/2010

History

#1 - 02/09/2010 11:05 AM - Ohad Levy

- Category set to Web Interface

- Assignee set to Ohad Levy

- Target version set to 0.1-4

#2 - 03/08/2010 06:06 AM - Ohad Levy

- Target version changed from 0.1-4 to 0.1-5

This would be really easy once we get rid of ActiveScaffold, which is target to 0.1-5

#3 - 04/03/2010 03:35 PM - Ohad Levy

- Status changed from New to Closed
